﻿$BASE_PATH=Split-Path -Parent $MyInvocation.MyCommand.Path
$DIST_PATH=Join-Path -Path $BASE_PATH -ChildPath dist
$DIST_FILE=Join-Path -Path $DIST_PATH -ChildPath liquidEtlApiCarga.zip
$CLIENTE="/UNEXPA"
$DIST_REPO="http://maestro.datapar.com/artifactory/list/instaladores/LIQUIDETL/liquidEtlApiCarga.zip"

New-Item -ItemType Directory -Force -Path $DIST_PATH

$EXCLUDE=@(".git","NODE_MODULES","*.zip", ".idea", "dist")

Write-Host 'Compress'$DIST_FILE

$FILES = Get-ChildItem -Path $BASE_PATH -Exclude $EXCLUDE

Compress-Archive -Path $FILES -CompressionLevel Optimal -Update -DestinationPath $DIST_FILE

#Caso dê problemas com o comando curl pelo cmd.: Remove-item alias:curl

Write-Host 'Upload file to '$DIST_REPO
cmd.exe /c curl -uadmin:AP5SG3NnV3t3EyGxyzHdoN7aHQ1 --progress-bar -T $DIST_FILE $DIST_REPO

pause